# Packmangroup: System
# Packmanpackagename: hddtemp
# Packman : Manfred Tremmel
# Packmandesc: Hard disk temperature tool
# Packmandesc_de: Festplatten Temperatur-Ausleseprogramm

%define veronly 0.3
%define state   beta13

Summary:        Hard disk temperature tool
Summary(de):    Festplatten Temperatur-Ausleseprogramm
Name:           hddtemp
Version:        0.3_beta13
Release:        0.pm.1
License:        GPL
Group:          Applications/System
URL:            http://www.guzu.net/linux/hddtemp.php

Source0:        hddtemp-0.3-beta13.tar.bz2
Source1:        hddtemp.db
Source2:        hddtemp.init
Source3:        hddtemp.sysconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  net-tools, perl, gettext, gawk
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)

%description
hddtemp is tool that gives you the temperature of your hard drive by
reading S.M.A.R.T. information.

%description -l de
htddtemp ist ein Tool zum auslesen der Festplattentemperatur aus den
S.M.A.R.T Informationenen.

%prep
%setup -q -n %{name}-%{veronly}-%{state}

%build
%configure
%__make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall
%{__mkdir_p} ${RPM_BUILD_ROOT}{%{_sysconfdir}/{init.d,sysconfig}}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/misc/
%{__install} -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/misc/
%{__mkdir_p} ${RPM_BUILD_ROOT}/etc/
cd ${RPM_BUILD_ROOT}/etc/
%{__ln_s} ..%{_datadir}/misc/hddtemp.db ./hddtemp.db
cd -
%{__install} -m 0755 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/init.d/%{name}
%{__install} -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
cd ${RPM_BUILD_ROOT}%{_sbindir}
%{__ln_s} ../..%{_sysconfdir}/init.d/%{name} rc%{name}
%{__chmod} +s hddtemp
cd -

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}

%post
if [ ! -f /etc/bash.bashrc.local ] ; then
	echo PATH=\$PATH:/usr/sbin >> /etc/bash.bashrc.local
else
	CAT=`cat /etc/bash.bashrc.local | grep /usr/sbin`
	if [ "$CAT" != "PATH=\$PATH:/usr/sbin" ] ; then
		echo PATH=\$PATH:/usr/sbin >> /etc/bash.bashrc.local
	fi
fi
case "$1" in
	1) # new install
		chkconfig --add %{name}
	;;
	2) # upgrade/reinstall
		%{_sysconfdir}/init.d/%{name} restart
	;;
esac

%preun
if [ "$1" = "0" ]; then # remove
	chkconfig --del %{name}
fi

%files
%defattr(-,root,root)
%doc COPYING README TODO contribs
%config(noreplace) %{_datadir}/misc/hddtemp.db
%config(noreplace) %{_sysconfdir}/init.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
/etc/hddtemp.db
%{_datadir}/locale/*/LC_MESSAGES/hddtemp.mo
%{_mandir}/man8/*
%{_sbindir}/*

%changelog

* Sat Apr 02 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- readded a script from Mr.Bool in post section

* Wed Mar 23 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta13

* Thu Mar 17 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- readded chmod +s, sorry was missing

* Wed Mar 16 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta12

* Sun Dec 07 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta9

* Sat Aug 16 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta8

* Sat Jun 21 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta7

* Sat Apr 19 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta6

* Mon Mar 24 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta5

* Thu Mar 13 2003 Mr.Bool <mr.bool at rambler.ru>
- Update to 0.3beta4

* Sat Jan 25 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta3

* Sat Jan 04 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta2

* Wed Dec 04 2002 Mr.Bool <mr.bool at rambler.ru>
- some cleanups : hddtemp.sysconfig , hddtemp.spec

* Sun Dec 01 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3beta1

* Sat Oct 12 2002 Mr.Bool <mr.bool at rambler.ru> 0.3-0.alpha.3cr_SuSE8.x
- Rebuild for SuSE 8.0.
- Added /etc/bash.bashrc.local creation
- New init script (LSB compatible?)
- Configuration has more parameters
- Suid root again
- Spec file changed
- Default drive is /dev/hda

* Sun Oct  6 2002 Ville Skytt�<ville.skytta at iki.fi> 0.3-0.alpha.3cr
- Rebuild for Red Hat 8.0.

* Tue Aug 13 2002 Ville Skytt�<ville.skytta at iki.fi> 0.3-0.alpha.2cr
- Patched db.

* Sat Aug  3 2002 Ville Skytt�<ville.skytta at iki.fi> 0.3-0.alpha.1cr
- Update to 0.3 alpha.
- No more suid root.

* Tue Jul 30 2002 Ville Skytt�<ville.skytta at iki.fi> 0.2-4cr
- hddtemp.db version 19.

* Tue Jul 23 2002 Ville Skytt�<ville.skytta at iki.fi> 0.2-3cr
- hddtemp.db version 18.

* Wed Jul 10 2002 Ville Skytt�<ville.skytta at iki.fi> 0.2-2cr
- hddtemp.db version 17.

* Tue Jul  2 2002 Ville Skytt�<ville.skytta at iki.fi> 0.2-1cr
- Updated hddtemp.db.

* Thu Jun  6 2002 Ville Skytt�<ville.skytta at iki.fi> 0.2-0.2
- Updated hddtemp.db.

* Thu Jun  6 2002 Ville Skytt�<ville.skytta at iki.fi> 0.2-0.1
- Initial build.
